FreeBSD : django -- multiple vulnerabilities (b0e54dc1-45d2-11e5-adde-14dae9d210b8)

Medium Nessus Plugin ID 85522


The remote FreeBSD host is missing one or more security-related updates.


Tim Graham reports :

Denial-of-service possibility in logout() view by filling session store

Previously, a session could be created when anonymously accessing the django.contrib.auth.views.logout view (provided it wasn't decorated with django.contrib.auth.decorators.login_required as done in the admin). This could allow an attacker to easily create many new session records by sending repeated requests, potentially filling up the session store or causing other users' session records to be evicted.

The django.contrib.sessions.middleware.SessionMiddleware has been modified to no longer create empty session records.

This portion of the fix has been assigned CVE-2015-5963.

Additionally, on the 1.4 and 1.7 series only, the contrib.sessions.backends.base.SessionBase.flush() and cache_db.SessionStore.flush() methods have been modified to avoid creating a new empty session. Maintainers of third-party session backends should check if the same vulnerability is present in their backend and correct it if so.

This portion of the fix has been assigned CVE-2015-5964. Anyone reporting a similar vulnerability in a third-party session backend should not use this CVE ID.

Thanks Lin Hua Cheng for reporting the issue.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 85522

File Name: freebsd_pkg_b0e54dc145d211e5adde14dae9d210b8.nasl

Version: $Revision: 2.2 $

Type: local

Published: 2015/08/19

Modified: 2015/08/26

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:py27-django, p-cpe:/a:freebsd:freebsd:py27-django-devel, p-cpe:/a:freebsd:freebsd:py27-django14, p-cpe:/a:freebsd:freebsd:py27-django17, p-cpe:/a:freebsd:freebsd:py32-django, p-cpe:/a:freebsd:freebsd:py32-django-devel, p-cpe:/a:freebsd:freebsd:py32-django14, p-cpe:/a:freebsd:freebsd:py32-django17, p-cpe:/a:freebsd:freebsd:py33-django, p-cpe:/a:freebsd:freebsd:py33-django-devel, p-cpe:/a:freebsd:freebsd:py33-django14, p-cpe:/a:freebsd:freebsd:py33-django17, p-cpe:/a:freebsd:freebsd:py34-django, p-cpe:/a:freebsd:freebsd:py34-django-devel, p-cpe:/a:freebsd:freebsd:py34-django14, p-cpe:/a:freebsd:freebsd:py34-django17, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/08/18

Vulnerability Publication Date: 2015/08/18

Reference Information

CVE: CVE-2015-5963, CVE-2015-5964